/***********************************************************
*                      pC/LZFG 1.20a                       *
*                a FREE - LZFG decompressor                *
*                                                          *
*          by  Frank Goetze  -  www.embedded-os.de         *
************************************************************
*                        pC_LZFG.H                         *
***********************************************************/

#include "../../pC_OS/inc/pC_OS.h"               // only for use of pC/OS
                                                 // or your have to include ..
                                                 // .. your own definition file

/*
************************************************************
*                      OS ADAPTION
************************************************************
*/
#ifndef _pC_OS_
 #define MEM_ALLOC_D(size)  NULL                 // here you have to define your OS-port or memory-addresses
 #define MEM_ALLOC_W(size)  NULL 
 #define MEM_FREE(mptr)
#endif

/*
************************************************************
*                       CONSTANTS
************************************************************
*/
#define LZFG_W          4096        // windowsize

/*
***********************************************************
*          return-codes definitions for LZFG
***********************************************************
*/
#define LZFG_SUCCESS    0           // no errors
#define LZFG_noLZFG     130         // not LZFG compressed
#define LZFG_lenERR     131         // lenght-error
#define LZFG_crcERR     132         // crc-error
#define LZFG_memERR     133         // error on memory-allocation

/*
***********************************************************
*                   LZFG FUNCTION PROTOTYPES
***********************************************************
*/
U08	LZFG_Decomp(U08 OS_HUGE *source, U32 source_l, U08 OS_HUGE **dest_pp, U32 *dest_l) KC51_REENTRANT;

/*********************************************************/

